Slider Layouts
==============

Provides layout builder layouts with slider functionality using the Slick library.

# Description
-----------
The Slider Layouts module allows you to create custom layouts with slider functionality in Drupal. It integrates with the Slick library to provide a flexible and customizable slider experience.

# Installation
------------
1. Download and install the module as you would any other Drupal module.
2. Ensure you have the required dependencies:
   - drupal/layout_discovery
   - kenwheeler/slick
3. Run `composer install` to install the Slick library dependency.

# Libraries
------------
The module requires the installation of the kenwheeler/slick library. This can be installed with composer.

# Configuration
-------------
1. Navigate to the Layout Builder interface.
2. Add a new section and select "Slider Section" from the available layouts.
3. Configure the slider settings, including the number of slides to show, autoplay options, and shuffle settings.

# Usage
-----
1. Add content to the slider section as you would with any other layout section.
2. Customize the appearance and behavior of the slider using the provided configuration options.

# Dependencies
------------
- layout_discovery
- Slick library

# Maintainers
-----------
- Kelly (kelly@kalamuna.com)

# Support
-------
For issues and support, please visit the project page on Drupal.org:
https://www.drupal.org/project/slider_layouts

# License
-------
This project is licensed under the GPL-2.0-or-later license.
